Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_MT_MEM_IO::Channel Struct Reference

`#include <MEM_IO.h>`

Collaboration diagram for ACE_MT_MEM_IO::Channel:

[legend]
List of all members.

## Public Attributes
ACE_SYNCH_PROCESS_SEMAPHORE * | sema_
ACE_SYNCH_PROCESS_MUTEX * | lock_
Simple_Queue | queue_

## Member Data Documentation

ACE_SYNCH_PROCESS_MUTEX* ACE_MT_MEM_IO::Channel::lock_

Simple_Queue ACE_MT_MEM_IO::Channel::queue_

ACE_SYNCH_PROCESS_SEMAPHORE* ACE_MT_MEM_IO::Channel::sema_

The documentation for this struct was generated from the following file:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/MEM_IO.h